Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit
Class JPATaskLifeCycleEventListener

    java.lang.Object
      org.jbpm.services.task.audit.JPATaskLifeCycleEventListener

All Implemented Interfaces:
  TaskLifeCycleEventListener

    @ApplicationScoped
    public class JPATaskLifeCycleEventListener

extends Object
implements TaskLifeCycleEventListener

Constructor Summary
`JPATaskLifeCycleEventListener()`

Method Summary
`void` | `afterTaskActivatedEvent(Task ti)`
`void` | `afterTaskAddedEvent(Task ti)`
`void` | `afterTaskClaimedEvent(Task ti)`
`void` | `afterTaskCompletedEvent(Task ti)`
`void` | `afterTaskDelegatedEvent(Task ti)`
`void` | `afterTaskExitedEvent(Task ti)`
`void` | `afterTaskFailedEvent(Task ti)`
`void` | `afterTaskForwardedEvent(Task ti)`
`void` | `afterTaskReleasedEvent(Task ti)`
`void` | `afterTaskResumedEvent(Task ti)`
`void` | `afterTaskSkippedEvent(Task ti)`
`void` | `afterTaskStartedEvent(Task ti)`
`void` | `afterTaskStoppedEvent(Task ti)`
`void` | `afterTaskSuspendedEvent(Task ti)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPATaskLifeCycleEventListener

    public JPATaskLifeCycleEventListener()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### afterTaskStartedEvent

    public void afterTaskStartedEvent(@Observes
                                      Task ti)

  Specified by:
    `afterTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskActivatedEvent

    public void afterTaskActivatedEvent(@Observes
                                        Task ti)

  Specified by:
    `afterTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskClaimedEvent

    public void afterTaskClaimedEvent(@Observes
                                      Task ti)

  Specified by:
    `afterTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSkippedEvent

    public void afterTaskSkippedEvent(@Observes
                                      Task ti)

  Specified by:
    `afterTaskSkippedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskStoppedEvent

    public void afterTaskStoppedEvent(@Observes
                                      Task ti)

  Specified by:
    `afterTaskStoppedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskCompletedEvent

    public void afterTaskCompletedEvent(@Observes
                                        Task ti)

  Specified by:
    `afterTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskFailedEvent

    public void afterTaskFailedEvent(@Observes
                                     Task ti)

  Specified by:
    `afterTaskFailedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskAddedEvent

    public void afterTaskAddedEvent(@Observes
                                    Task ti)

  Specified by:
    `afterTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskExitedEvent

    public void afterTaskExitedEvent(@Observes
                                     Task ti)

  Specified by:
    `afterTaskExitedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskReleasedEvent

    public void afterTaskReleasedEvent(@Observes
                                       Task ti)

  Specified by:
    `afterTaskReleasedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskResumedEvent

    public void afterTaskResumedEvent(@Observes
                                      Task ti)

  Specified by:
    `afterTaskResumedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSuspendedEvent

    public void afterTaskSuspendedEvent(@Observes
                                        Task ti)

  Specified by:
    `afterTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwardedEvent

    public void afterTaskForwardedEvent(@Observes
                                        Task ti)

  Specified by:
    `afterTaskForwardedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskDelegatedEvent

    public void afterTaskDelegatedEvent(@Observes
                                        Task ti)

  Specified by:
    `afterTaskDelegatedEvent` in interface `TaskLifeCycleEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.